GET api/bagapi/bagsbysite/{siteId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"bag_status_id": "74f91534-dd1d-4f56-b235-8d7d8b9bdcfd",
"cleanroom_type_id": "3889e375-1902-4b4a-82b1-095218a2c7c9",
"code": 3,
"date_hu": "2026-03-09T15:38:15.3983798+00:00",
"id": "fab1bb78-9290-4492-b9ef-d20d1b6b3fbd",
"site_id": "a87a7cf0-f397-4def-a957-5325381b28e8",
"wash_count": 6,
"position": 1,
"pc_id": "820c574f-4485-440f-b157-b8abf921db5a"
},
{
"active": true,
"bag_status_id": "74f91534-dd1d-4f56-b235-8d7d8b9bdcfd",
"cleanroom_type_id": "3889e375-1902-4b4a-82b1-095218a2c7c9",
"code": 3,
"date_hu": "2026-03-09T15:38:15.3983798+00:00",
"id": "fab1bb78-9290-4492-b9ef-d20d1b6b3fbd",
"site_id": "a87a7cf0-f397-4def-a957-5325381b28e8",
"wash_count": 6,
"position": 1,
"pc_id": "820c574f-4485-440f-b157-b8abf921db5a"
}
]
application/xml, text/xml
Sample:
<ArrayOfbag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<bag>
<active>true</active>
<bag_status_id>74f91534-dd1d-4f56-b235-8d7d8b9bdcfd</bag_status_id>
<cleanroom_type_id>3889e375-1902-4b4a-82b1-095218a2c7c9</cleanroom_type_id>
<code>3</code>
<date_hu>2026-03-09T15:38:15.3983798+00:00</date_hu>
<id>fab1bb78-9290-4492-b9ef-d20d1b6b3fbd</id>
<pc_id>820c574f-4485-440f-b157-b8abf921db5a</pc_id>
<position>1</position>
<site_id>a87a7cf0-f397-4def-a957-5325381b28e8</site_id>
<wash_count>6</wash_count>
</bag>
<bag>
<active>true</active>
<bag_status_id>74f91534-dd1d-4f56-b235-8d7d8b9bdcfd</bag_status_id>
<cleanroom_type_id>3889e375-1902-4b4a-82b1-095218a2c7c9</cleanroom_type_id>
<code>3</code>
<date_hu>2026-03-09T15:38:15.3983798+00:00</date_hu>
<id>fab1bb78-9290-4492-b9ef-d20d1b6b3fbd</id>
<pc_id>820c574f-4485-440f-b157-b8abf921db5a</pc_id>
<position>1</position>
<site_id>a87a7cf0-f397-4def-a957-5325381b28e8</site_id>
<wash_count>6</wash_count>
</bag>
</ArrayOfbag>